#include <assert.h>

#include "taufreq.h"

void Inicialitzar(TauFreq t) {
  int i;

  i = 1;
  while (!(i > MAX)) {
    t[i-1] = 0;
    i = i + 1;
  }
}

void Afegir(TauFreq t, int c) {
  assert((1 <= c) && (c <= MAX));
  t[c-1] = t[c-1] + 1;
}

int Freq(const TauFreq t, int c) {
  assert((1 <= c) && (c <= MAX));
  return t[c-1];
}
